Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## things.data.tabular
Class ModuleSchemaLine

    java.lang.Object
      things.data.tabular.ModuleSchemaLine

    public class ModuleSchemaLine

extends java.lang.Object

An module schema line.

NOTE: This package was never completed and isn't used anywhere.

Version:
  1.0

  Version History

      EPG - Refactor completely. - 10 NOV 04

Author:
  Erich P. Gatejen

Field Summary
`java.util.Hashtable<java.lang.String,ModuleSchemaEntry>` | `entries`
`int` | `frequency`
`static int` | `FREQUENCY_MANY`
`static int` | `FREQUENCY_ONE`
`java.lang.String` | `myName`
`int` | `neccessity`
`static int` | `NECCESSITY_OPTIONAL`
`static int` | `NECCESSITY_REQUIRED`

Constructor Summary
`ModuleSchemaLine()`
`ModuleSchemaLine(java.lang.String name)`

Method Summary
`void` | `addEntry(ModuleSchemaEntry entry)`
`boolean` | `hasEntry(java.lang.String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### myName

    public java.lang.String myName

### entries

    public java.util.Hashtable<java.lang.String,ModuleSchemaEntry> entries

### neccessity

    public int neccessity

### frequency

    public int frequency

### NECCESSITY_REQUIRED

    public static final int NECCESSITY_REQUIRED

See Also:
  Constant Field Values

### NECCESSITY_OPTIONAL

    public static final int NECCESSITY_OPTIONAL

See Also:
  Constant Field Values

### FREQUENCY_ONE

    public static final int FREQUENCY_ONE

See Also:
  Constant Field Values

### FREQUENCY_MANY

    public static final int FREQUENCY_MANY

See Also:
  Constant Field Values

Constructor Detail

### ModuleSchemaLine

    public ModuleSchemaLine()
                     throws java.lang.Throwable

Throws:
  `java.lang.Throwable`

### ModuleSchemaLine

    public ModuleSchemaLine(java.lang.String name)

Method Detail

### hasEntry

    public boolean hasEntry(java.lang.String name)
                     throws TabularException

  Throws:
    `TabularException`

### addEntry

    public void addEntry(ModuleSchemaEntry entry)
                  throws TabularException

  Throws:
    `TabularException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Things.